## tryton-modules-account-payment-braintree 6.0.3

=== debian/changelog ===
tryton-modules-account-payment-braintree (6.0.3-2) sid; urgency=medium

  * Update the package URLS to https and the new mono repos location.
  * Bump the Standards-Version to 4.6.2, no changes needed.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 13 Feb 2023 12:55:29 +0100

tryton-modules-account-payment-braintree (6.0.3-1) unstable; urgency=medium

  * Merging upstream version 6.0.3.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 18 Oct 2022 10:34:46 +0200

tryton-modules-account-payment-braintree (6.0.2-1) unstable; urgency=medium

  * Initial release (closes: #1020716)

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 25 Sep 2022 18:58:31 +0000
