=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Homepage: https://www.tryton.org/
 Vcs-Git: https://salsa.debian.org/tryton-team/tryton-modules-account-payment-braintree.git
 Vcs-Browser: https://salsa.debian.org/tryton-team/tryton-modules-account-payment-braintree
@@ -18,10 +18,10 @@
 Package: tryton-modules-account-payment-braintree
 Architecture: all
 Depends: python3-braintree,
-         python3-pkg-resources,
          python3-werkzeug,
          tryton-modules-account (>= ${version:major}),
          tryton-modules-account-payment (>= ${version:major}),
+         tryton-modules-currency (>= ${version:major}),
          tryton-modules-party (>= ${version:major}),
          tryton-server (>= ${version:major}),
          ${API},
